#----------------------------------------------------------------------------------------------------
#Author: Warren Jacobus
#        3065044
#        Univeristy of the Western Cape
#----------------------------------------------------------------------------------------------------

#----------------------------------------------------------------------------------------------------
#Description (graph_to_json_graph):
#           creates a representation of the graph in a json file
#Inputs:
#           None.
#Outputs:
#           json file with graph representation in it
#Caveats:
#           Described below.
#----------------------------------------------------------------------------------------------------
#----------------------------------------------------------------------------------------------------
import ast
from sys import argv
def go():
	#graph = [ast.literal_eval(item) for item in open(argv[1]).read().split('\n')[:-1]]
	graph = [ast.literal_eval(item) for item in open('graphs/text/graph.txt').read().split('\n')[:-1]]

	tmp = []
	node = '{'
	done = ''
	for item in graph:
		if done == item[0]:
			continue 
		if item[0] not in tmp:
			node += '"%s": {'%item[0]
			done = item[0]
			for item2 in graph:
				if item2[0] == item[0]:
					node += '"%s": %s,'%(item2[1],str(int(item2[2])))
			node = node[:-1]+'},\n'
	#node = node[:-2]+',\n"UWC": {}}'
	node = node[:-2]+'}'

	json_file = open('data/json/test.json','w')
	json_file.write(node)
	json_file.close()